> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Control Transcription API v2

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/agent-ai/api-list)</Badge>

Controls transcription and call recording sessions for Agent AI SIP-REC calls on third-party agent desktops. Use this API to start, pause, resume, or stop transcription and call recordings independently for a specific conversation.

***

## API Details

| **Field**         | **Value**                                                                                                                                                   |
| ----------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | `POST`                                                                                                                                                      |
| **Endpoint**      | `https://{{host}}/api/1.1/public/bot/{botid}/control/transcriptionv2?conversationId={conversationId}`                                                       |
| **Content Type**  | `application/json`                                                                                                                                          |
| **Authorization** | `auth: {{JWT}}`-See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token)                              |
| **API Scope**     | `Agent AI Transcription and Call Recording`-See [Associate API Scopes](/ai-for-service/administration/security-and-control/api-scopes#supported-api-scopes) |

## Path Parameters

| Parameter | Required | Description                                                                    |
| --------- | -------- | ------------------------------------------------------------------------------ |
| `botId`   | Yes      | Unique identifier of the bot controlling the transcription and call recording. |

## Query Parameters

| **Parameter**    | **Required** | **Description**                                                                                 |
| ---------------- | ------------ | ----------------------------------------------------------------------------------------------- |
| `conversationId` | Yes          | Unique identifier of the conversation for which transcription and call recording is controlled. |

## Sample Request

```bash theme={null}
curl --location 'https://{{host}}/api/1.1/public/bot/st-0510047e-9e82-5574-9523-bb02a0dxxxxx/control/transcriptionv2?conversationId=CAa8c6351c14ab45f09aaa04cde25xxxxx' \
--header 'auth: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--header 'Content-Type: application/json' \
--data '{
    "transcription_action": "resume",
    "recording_action": "stop"
}'
```

## Body Parameters

| **Parameter**          | **Required** | **Description**                                                                          |
| ---------------------- | ------------ | ---------------------------------------------------------------------------------------- |
| `transcription_action` | No           | Control action for transcription. Available values: `start`, `pause`, `resume`, `end`.   |
| `recording_action`     | No           | Control action for call recording. Available values: `start`, `pause`, `resume`, `stop`. |

<Note>The **Record the calls** setting is configured at **Agent AI** > **Flows & Channels** > **Voice Gateway** > **SIP Numbers**. However, even if recording is disabled there, this API can independently start and control recordings.</Note>

## Sample Response

```json theme={null}
{
    "status": "success"
}
```
